#!/bin/bash

# Mac Wireguard Installation

wireguardzip="https://gitea.zephyre.one/Pakobbix/quick_wireguardtest/raw/branch/main/Wireguard.app.zip"

if [ -f Wireguard.app.zip ]; then
    echo "Zip bereits vorhanden, überspringe download"
else
    if curl -s $wireguardzip -O "Wireguard.app.zip"; then
        echo "Download beendet"
    else
        echo "Download hatte nicht funktioniert, bitte manuell herunterladen:"
        echo "$wireguardzip"
    fi
fi

echo "Überprüfe, ob Wireguard bereits vorhanden ist"
if [ -d /Applications/WireGuard.app ]; then
    echo "WireGuard bereits installiert"
else
    echo "Entpacke Zip in den Programme Ordner"
    if unzip WireGuard.app.zip -d /Applications/ >/dev/null; then
        echo "Entpacken erfolgreich"
    else
        echo "Entpacken hat nicht funktioniert"
    fi
fi

echo "Fixe Berechtigungen"
if sudo chown -R root:wheel /Applications/WireGuard.app; then
    echo "Berechtigungen erfolgreich gefixed"
else
    echo "Berechtigungen konnten nicht behoben werden."
fi
